matrix:
  platform:
    - macos
    - macos_arm64
    - ubuntu2404
    - windows
  bazel: [7.x, 8.x, rolling]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - "@c-blosc2//:c-blosc2"
  run_test:
    name: Run tests
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
      - "@c-blosc2//..."
